> ## Documentation Index
> Fetch the complete documentation index at: https://hmis-docs.derrickmugabwa.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List visit diagnoses



## OpenAPI

````yaml /openapi-staff.yaml get /outpatient-visits/{outpatientVisit}/diagnoses
openapi: 3.1.0
info:
  title: HMIS Staff Workflow API
  version: 1.0.0
  description: >-
    Clinic-scoped patient registration, appointments, outpatient visits, and
    clinical workspace operations.
servers:
  - url: https://jaliprohmis.derrickmugabwa.dev/api/v1
    description: HMIS staging API
security:
  - bearerAuth: []
tags:
  - name: Staff patients
  - name: Staff appointments
  - name: Staff outpatient visits
  - name: Staff clinical workspace
paths:
  /outpatient-visits/{outpatientVisit}/diagnoses:
    get:
      tags:
        - Staff clinical workspace
      summary: List visit diagnoses
      operationId: listStaffClinicalDiagnoses
      parameters:
        - $ref: '#/components/parameters/VisitId'
      responses:
        '200':
          $ref: '#/components/responses/CollectionResponse'
components:
  parameters:
    VisitId:
      name: outpatientVisit
      in: path
      required: true
      schema:
        type: integer
  responses:
    CollectionResponse:
      description: Resource collection returned.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CollectionEnvelope'
  schemas:
    CollectionEnvelope:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Sanctum staff token

````